complexType "Swaption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, premium+, optionType, exercise, swap
</...>

Content Model Elements (7):

  assetClass, exercise, optionType (in swaption), premium (in swaption), | productId, productType, swap (in swaption)

All Direct / Indirect Based Elements (1):

  swaption

Known Usage Locations

- As direct type of elements (1):
  swaption

Annotation
A type to define an option on a swap.
Type Definition Detail

Type Derivation Tree Product (extension) Swaption

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Swaption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="premium" type="Payment"/> <xsd:element name="optionType" type="OptionTypeEnum"/> <xsd:element ref="exercise"/> <xsd:element name="swap" type="LimitedSwap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/7)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element ref="exercise"/>

optionType

  Type: | OptionTypeEnum, simple content

  The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike. This element is needed for transparency reporting because the counterparties are not available..
  Simple Content

  ("Put" | "Call") | ("Payer" | "Receiver" | "Straddle")

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="optionType" type="OptionTypeEnum"/>

premium

  Type: | Payment, complex content

  The option premium amount payable by buyer to seller on the specified payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="premium" type="Payment"/>

swap

  Type: | LimitedSwap, complex content

  XML Source (see within schema source)

  <xsd:element name="swap" type="LimitedSwap"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.